Package org.opensaml.saml.saml2.assertion

# Class SAML2AssertionValidationParameters

java.lang.Object
org.opensaml.saml.saml2.assertion.SAML2AssertionValidationParameters

public final class SAML2AssertionValidationParameters extends Object
Parameter keys used to store and retrieve static and dynamic parameters within a `ValidationContext`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CLOCK_SKEW`
Carries a `Duration` specifying a clock skew value.
`static final String`
`COND_INFIX`
The standard infix for parameters concerned with conditions evaluation.
`static final String`
`COND_ONE_TIME_USE_EXPIRES`
Carries a `Duration` representing the per-invocation value for the Assertion replay cache expiration.
`static final String`
`COND_REQUIRED_CONDITIONS`
Carries a `Set``<``QName``>` of required conditions which must be present in the assertion.
`static final String`
`COND_VALID_AUDIENCES`
Carries a `Set``<``String``>` whose values are the acceptable `AudienceRestriction` `Audience` values for evaluating the Assertion.
`static final String`
`CONFIRMED_SUBJECT_CONFIRMATION`
Carries the `SubjectConfirmation` that confirmed the subject.
`static final String`
`LIFETIME`
Carries a `Duration` specifying a lifetime from 'now' for IssueInstant.
`static final String`
`REQUIRE_ENTITY_ISSUER`
Carries a `Boolean` flag which indicates whether the issuer must have the `NameIDType.ENTITY` Format.
`static final String`
`SC_ADDRESS_REQUIRED`
Carries a `Boolean` flag which indicates whether the `SubjectConfirmationData` Address is required.
`static final String`
`SC_CHECK_ADDRESS`
Carries a `Boolean` flag which indicates whether the `SubjectConfirmationData` address should be checked.
`static final String`
`SC_HOK_CONFIRMED_KEYINFO`
Carries the `KeyInfo` that successfully confirmed the subject via holder-of-key subject confirmation.
`static final String`
`SC_HOK_PRESENTER_CERT`
Carries the `X509Certificate` used by the presenter.
`static final String`
`SC_HOK_PRESENTER_KEY`
Carries the `PublicKey` used by the presenter.
`static final String`
`SC_IN_RESPONSE_TO_IGNORED`
Carries a `Boolean` flag which indicates whether `SubjectConfirmationData.getInResponseTo()` should be ignored.
`static final String`
`SC_IN_RESPONSE_TO_REQUIRED`
Carries a `Boolean` flag which indicates whether `SubjectConfirmationData.getInResponseTo()` is required to be non-null.
`static final String`
`SC_INFIX`
The standard infix for parameters concerned with subject confirmation.
`static final String`
`SC_NOT_BEFORE_REQUIRED`
Carries a `Boolean` flag which indicates whether `SubjectConfirmationData` NotBefore is required.
`static final String`
`SC_NOT_ON_OR_AFTER_REQUIRED`
Carries a `Boolean` flag which indicates whether `SubjectConfirmationData` NotOnOrAfter is required.
`static final String`
`SC_RECIPIENT_REQUIRED`
Carries a `Boolean` flag which indicates whether `SubjectConfirmationData` Recipient is required.
`static final String`
`SC_VALID_ADDRESSES`
Carries a `Set``<``InetAddress``>` whose values are the acceptable `SubjectConfirmationData` addresses.
`static final String`
`SC_VALID_IN_RESPONSE_TO`
Carries a `String` whose value is the acceptable point of comparison against `SubjectConfirmationData.getInResponseTo()`.
`static final String`
`SC_VALID_RECIPIENTS`
Carries a `Set``<``String``>` whose values are the acceptable `SubjectConfirmationData` recipients.
`static final String`
`SIGNATURE_REQUIRED`
Carries a `Boolean` flag which indicates whether the Assertion is required to be signed.
`static final String`
`SIGNATURE_VALIDATION_CRITERIA_SET`
Carries a `CriteriaSet` which will be used as the input to a `SignatureTrustEngine`.
`static final String`
`SIGNATURE_VALIDATION_PREVALIDATOR`
Carries a `SignaturePrevalidator` which will be used to pre-validate the Assertion signature.
`static final String`
`SIGNATURE_VALIDATION_TRUST_ENGINE`
Carries a `SignatureTrustEngine` which will be used to validate the Assertion signature.
`static final String`
`STD_PREFIX`
The standard prefix for all SAML 2 parameters defined in this set.
`static final String`
`STMT_AUTHN_CHECK_ADDRESS`
Carries a `Boolean` flag which indicates whether the Address attribute of the `SubjectLocality` of an `AuthnStatement` should be checked.
`static final String`
`STMT_AUTHN_MAX_TIME`
Carries a `Duration` used to evaluate the allowed value of an AuthnInstant attribute of an `AuthnStatement`.
`static final String`
`STMT_AUTHN_VALID_ADDRESSES`
Carries a `Set``<``InetAddress``>` whose values are the acceptable values for the Address attribute of the `SubjectLocality` of an `AuthnStatement`.
`static final String`
`STMT_INFIX`
The standard infix for parameters concerned with statement evaluation.
`static final String`
`VALID_ISSUERS`
Carries a `Set``<``String``>` whose values are the acceptable `Issuer` values.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`SAML2AssertionValidationParameters()`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### STD_PREFIX

@Nonnull @NotEmpty public static final String STD_PREFIX
The standard prefix for all SAML 2 parameters defined in this set.

See Also:
  - Constant Field Values

### SC_INFIX

@Nonnull @NotEmpty public static final String SC_INFIX
The standard infix for parameters concerned with subject confirmation.

See Also:
  - Constant Field Values

### COND_INFIX

@Nonnull @NotEmpty public static final String COND_INFIX
The standard infix for parameters concerned with conditions evaluation.

See Also:
  - Constant Field Values

### STMT_INFIX

@Nonnull @NotEmpty public static final String STMT_INFIX
The standard infix for parameters concerned with statement evaluation.

See Also:
  - Constant Field Values

### CLOCK_SKEW

@Nonnull @NotEmpty public static final String CLOCK_SKEW
Carries a `Duration` specifying a clock skew value.

See Also:
  - Constant Field Values

### LIFETIME

@Nonnull @NotEmpty public static final String LIFETIME
Carries a `Duration` specifying a lifetime from 'now' for IssueInstant.

See Also:
  - Constant Field Values

### CONFIRMED_SUBJECT_CONFIRMATION

@Nonnull @NotEmpty public static final String CONFIRMED_SUBJECT_CONFIRMATION
Carries the `SubjectConfirmation` that confirmed the subject.

See Also:
  - Constant Field Values

### VALID_ISSUERS

@Nonnull @NotEmpty public static final String VALID_ISSUERS
Carries a `Set``<``String``>` whose values are the acceptable `Issuer` values.

See Also:
  - Constant Field Values

### REQUIRE_ENTITY_ISSUER

@Nonnull @NotEmpty public static final String REQUIRE_ENTITY_ISSUER
Carries a `Boolean` flag which indicates whether the issuer must have the `NameIDType.ENTITY` Format.

Since:
  5.2.0
See Also:
  - Constant Field Values

### SIGNATURE_REQUIRED

@Nonnull @NotEmpty public static final String SIGNATURE_REQUIRED
Carries a `Boolean` flag which indicates whether the Assertion is required to be signed.

See Also:
  - Constant Field Values

### SIGNATURE_VALIDATION_CRITERIA_SET

@Nonnull @NotEmpty public static final String SIGNATURE_VALIDATION_CRITERIA_SET
Carries a `CriteriaSet` which will be used as the input to a `SignatureTrustEngine`.

See Also:
  - Constant Field Values

### SIGNATURE_VALIDATION_TRUST_ENGINE

@Nonnull @NotEmpty public static final String SIGNATURE_VALIDATION_TRUST_ENGINE
Carries a `SignatureTrustEngine` which will be used to validate the Assertion signature.

See Also:
  - Constant Field Values

### SIGNATURE_VALIDATION_PREVALIDATOR

@Nonnull @NotEmpty public static final String SIGNATURE_VALIDATION_PREVALIDATOR
Carries a `SignaturePrevalidator` which will be used to pre-validate the Assertion signature.

See Also:
  - Constant Field Values

### SC_NOT_BEFORE_REQUIRED

@Nonnull @NotEmpty public static final String SC_NOT_BEFORE_REQUIRED
Carries a `Boolean` flag which indicates whether `SubjectConfirmationData` NotBefore is required.

See Also:
  - Constant Field Values

### SC_NOT_ON_OR_AFTER_REQUIRED

@Nonnull @NotEmpty public static final String SC_NOT_ON_OR_AFTER_REQUIRED
Carries a `Boolean` flag which indicates whether `SubjectConfirmationData` NotOnOrAfter is required.

See Also:
  - Constant Field Values

### SC_RECIPIENT_REQUIRED

@Nonnull @NotEmpty public static final String SC_RECIPIENT_REQUIRED
Carries a `Boolean` flag which indicates whether `SubjectConfirmationData` Recipient is required.

See Also:
  - Constant Field Values

### SC_VALID_RECIPIENTS

@Nonnull @NotEmpty public static final String SC_VALID_RECIPIENTS
Carries a `Set``<``String``>` whose values are the acceptable `SubjectConfirmationData` recipients.

See Also:
  - Constant Field Values

### SC_ADDRESS_REQUIRED

@Nonnull @NotEmpty public static final String SC_ADDRESS_REQUIRED
Carries a `Boolean` flag which indicates whether the `SubjectConfirmationData` Address is required.

See Also:
  - Constant Field Values

### SC_CHECK_ADDRESS

@Nonnull @NotEmpty public static final String SC_CHECK_ADDRESS
Carries a `Boolean` flag which indicates whether the `SubjectConfirmationData` address should be checked.

See Also:
  - Constant Field Values

### SC_VALID_ADDRESSES

@Nonnull @NotEmpty public static final String SC_VALID_ADDRESSES
Carries a `Set``<``InetAddress``>` whose values are the acceptable `SubjectConfirmationData` addresses.

See Also:
  - Constant Field Values

### SC_IN_RESPONSE_TO_IGNORED

@Nonnull @NotEmpty public static final String SC_IN_RESPONSE_TO_IGNORED
Carries a `Boolean` flag which indicates whether `SubjectConfirmationData.getInResponseTo()` should be ignored.

Since:
  5.2.0
See Also:
  - Constant Field Values

### SC_IN_RESPONSE_TO_REQUIRED

@Nonnull @NotEmpty public static final String SC_IN_RESPONSE_TO_REQUIRED
Carries a `Boolean` flag which indicates whether `SubjectConfirmationData.getInResponseTo()` is required to be non-null.

See Also:
  - Constant Field Values

### SC_VALID_IN_RESPONSE_TO

@Nonnull @NotEmpty public static final String SC_VALID_IN_RESPONSE_TO
Carries a `String` whose value is the acceptable point of comparison against `SubjectConfirmationData.getInResponseTo()`.

See Also:
  - Constant Field Values

### SC_HOK_PRESENTER_KEY

@Nonnull @NotEmpty public static final String SC_HOK_PRESENTER_KEY
Carries the `PublicKey` used by the presenter.

See Also:
  - Constant Field Values

### SC_HOK_PRESENTER_CERT

@Nonnull @NotEmpty public static final String SC_HOK_PRESENTER_CERT
Carries the `X509Certificate` used by the presenter.

See Also:
  - Constant Field Values

### SC_HOK_CONFIRMED_KEYINFO

@Nonnull @NotEmpty public static final String SC_HOK_CONFIRMED_KEYINFO
Carries the `KeyInfo` that successfully confirmed the subject via holder-of-key subject confirmation.

See Also:
  - Constant Field Values

### COND_REQUIRED_CONDITIONS

@Nonnull @NotEmpty public static final String COND_REQUIRED_CONDITIONS
Carries a `Set``<``QName``>` of required conditions which must be present in the assertion.

See Also:
  - Constant Field Values

### COND_VALID_AUDIENCES

@Nonnull @NotEmpty public static final String COND_VALID_AUDIENCES
Carries a `Set``<``String``>` whose values are the acceptable `AudienceRestriction` `Audience` values for evaluating the Assertion.

See Also:
  - Constant Field Values

### COND_ONE_TIME_USE_EXPIRES

@Nonnull @NotEmpty public static final String COND_ONE_TIME_USE_EXPIRES
Carries a `Duration` representing the per-invocation value for the Assertion replay cache expiration.

See Also:
  - Constant Field Values

### STMT_AUTHN_CHECK_ADDRESS

@Nonnull @NotEmpty public static final String STMT_AUTHN_CHECK_ADDRESS
Carries a `Boolean` flag which indicates whether the Address attribute of the `SubjectLocality` of an `AuthnStatement` should be checked.

See Also:
  - Constant Field Values

### STMT_AUTHN_VALID_ADDRESSES

@Nonnull @NotEmpty public static final String STMT_AUTHN_VALID_ADDRESSES
Carries a `Set``<``InetAddress``>` whose values are the acceptable values for the Address attribute of the `SubjectLocality` of an `AuthnStatement`.

See Also:
  - Constant Field Values

### STMT_AUTHN_MAX_TIME

@Nonnull @NotEmpty public static final String STMT_AUTHN_MAX_TIME
Carries a `Duration` used to evaluate the allowed value of an AuthnInstant attribute of an `AuthnStatement`.

See Also:
  - Constant Field Values

## Constructor Details

### SAML2AssertionValidationParameters

private SAML2AssertionValidationParameters()
Constructor.